<template>
    <div class="flex flex-wrap qwq">
        <div class="m-4">
            <el-select v-model="value" multiple filterable remote reserve-keyword placeholder="搜索话题"
                :remote-method="remoteMethod" :loading="loading" >
                <el-option v-for="item in options" :key="item.value" :label="item.label" :value="item.value" />
            </el-select>
        </div>
    </div>
</template>
  
<script lang="ts" setup >
import { onMounted, ref } from 'vue'
import axios from 'axios'
import qs from 'qs';

interface ListItem {
    value: string
    label: string
}

const list = ref<ListItem[]>([])
const options = ref<ListItem[]>([])
const value = ref<string[]>([])
const loading = ref(false)

onMounted(() => {
    list.value = states.map((item) => {
        return { value: `${item}`, label: `${item}` }
    });
    axios.post('/api/schoolCloud/pages/selectTop.php', qs.stringify({num:100}))
                .then(res => {
                    list.value = res.data.map((item) => {
                    return { value: `${item.id}`, label: `${item.name}` }
                });
                    console.log(list);
                    
                // 根据返回的响应数据进行相应的操作
                }).catch(err => {
                console.log(err)
                });
})

const remoteMethod = (query: string) => {
    if (query) {
        loading.value = true
        setTimeout(() => {
            loading.value = false
            options.value = list.value.filter((item) => {
                return item.label.toLowerCase().includes(query.toLowerCase())
            })
        }, 200)
        console.log(value);
        
        
    } else {
        options.value = []
    }
}

const states = [
    '话题1',
    '话题2',
    '话题3',
    '话题4',
    '话题5',
    '话题6',
    '话题7'
];
defineExpose({
    list,
    options,
    value
});
</script>
<style lang="less" >
.qwq {
    .el-input__wrapper {
        height: 60px;
        font-size: 18px;
    }
}
</style>